[Frugalware-darcs] pacman-tools: mkpkghtml: initial import

VMiklos vmiklos at frugalware.org
Wed Jun 6 16:28:55 CEST 2007


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=pacman-tools;a=darcs_commitdiff;h=20070606142813-e2957-4ad2c9a89f05c12430c4a444c774e3d415f717d3.gz;

[mkpkghtml: initial import
VMiklos <vmiklos at frugalware.org>**20070606142813] {
hunk ./Makefile 51
+	help2man -n "Converts a README.Frugalware to HTML" -S Frugalware -N ./mkp=
kghtml |sed 's/\\(co/(c)/' >mkpkghtml.1
hunk ./Makefile 75
+	$(INSTALL) mkpkghtml $(DESTDIR)$(bindir)/mkpkghtml
+	$(INSTALL) -m644 mkpkghtml.1 $(DESTDIR)$(man1dir)
addfile ./mkpkghtml
hunk ./mkpkghtml 1
+#!/bin/bash
+
+die()
+{
+	echo $0: $@
+	exit 1
+}
+
+myver=3D"0.9.5"
+
+if [ "$1" =3D=3D "--help" ]; then
+	echo "mkpkghtml is a small script to generate pkgname.html from a"
+	echo "README.Frugalware. It's handy to check for syntax errors and see th=
e result"
+	echo "before you push a README.Frugalware."
+	exit 0
+elif [ "$1" =3D=3D "--version" ]; then
+	echo "mkpkghtml (pacman-tools) $myver"
+	echo
+	echo "Copyright (c) 2007 by Miklos Vajna <vmiklos at frugalware.org>"
+	echo "This is free software; see the source for copying conditions.  Ther=
e is NO"
+	echo "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR =
PURPOSE."
+	exit 0
+fi
+
+. /usr/lib/frugalware/fwmakepkg || "can't find fwmakepkg"
+. FrugalBuild || "can't find FrugalBuild"
+[ -f README.Frugalware ] || "can't find FrugalBuild"
+
+[ -f $pkgname.txt ] && "$pkgname.txt alrady exists, won't overwrite"
+
+cat > $pkgname.txt << EOF
+=3D Packages
+
+=3D=3D $pkgname
+
+EOF
+
+cat README.Frugalware >> $pkgname.txt
+
+asciidoc $pkgname.txt
+rm $pkgname.txt
}


More information about the Frugalware-darcs mailing list